Bug 1019172 - uploaded puppet modules are not counted in repo info and not found by puppet_module search
uploaded puppet modules are not counted in repo info and not found by puppet_...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: David Davis
Ales Dujicek
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 05:07 EDT by Ales Dujicek
Modified: 2014-04-24 13:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-10-15 05:07:49 EDT
Description of problem:

When uploading puppet module to repository using cli, module is not counted in "repo info Puppet Module Count" and cannot be found by "puppet_module search".

> repo create --org kiki --name puppy --product product --content_type puppet
> repo content_upload --org kiki --repo puppy --product product --filepath /tmp/garethr-docker-0.4.1.tar.gz --content_type puppet
> puppet_module list --org kiki --repo puppy --product product
b460db30-53eb-4541-a8d8-fb0440fbedbd garethr-docker Gareth Rushgrove 0.4.1

so puppet module is uploaded but:

> repo info --org kiki --name puppy --product product
...
Puppet Module Count : 0
...
> puppet_module search --org kiki --repo puppy --product product --query * 
nothing


Version-Release number of selected component (if applicable):
katello-1.4.6-31.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-common-1.4.6-31.el6sat.noarch
katello-all-1.4.6-31.el6sat.noarch
katello-cli-common-1.4.3-20.el6sat.noarch
signo-katello-0.0.22-2.el6sat.noarch
katello-configure-foreman-1.4.7-3.el6sat.noarch
katello-configure-1.4.7-3.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
ruby193-rubygem-foreman-katello-engine-0.0.14-5.el6sat.noarch
katello-glue-elasticsearch-1.4.6-31.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.7-2.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-3.el6sat.noarch
katello-glue-candlepin-1.4.6-31.el6sat.noarch
katello-foreman-all-1.4.6-31.el6sat.noarch
katello-cli-1.4.3-20.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-glue-pulp-1.4.6-31.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch

How reproducible:
always
Comment 3 David Davis 2013-10-18 11:40:28 EDT
katello-cli d04f91eadf1307e6233abfb20f7e93f4964c3635

1019172: Limiting the keys for puppet module metadata


katello 6e3ba7e13df2aed62d53a96d79b8264530f6dfab

1019172: Fixing call to unit_search for reindexing
Comment 5 David Davis 2013-10-21 17:00:46 EDT
QE: please check the file system path (in /etc/puppet/environments) after you upload a puppet module to make sure it doesn't contain the author name. This should fix that.
Comment 7 Ales Dujicek 2013-10-22 03:57:52 EDT
takin..
Comment 8 Ales Dujicek 2013-10-22 05:05:45 EDT
uploaded: garethr-docker-0.4.1.tar.gz
path was: /etc/puppet/environments/KT_puppy_Library_Default_Organization_View_8/modules/docker/

repo info OK, puppet search OK

-> Verified.

katello-glue-elasticsearch-1.4.6-44.el6sat.noarch
katello-all-1.4.6-44.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
ruby193-rubygem-katello-foreman-engine-0.0.12-3.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
katello-common-1.4.6-44.el6sat.noarch
katello-1.4.6-44.el6sat.noarch
katello-cli-1.4.3-26.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-glue-pulp-1.4.6-44.el6sat.noarch
katello-cli-common-1.4.3-26.el6sat.noarch
katello-foreman-all-1.4.6-44.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-glue-candlepin-1.4.6-44.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
Comment 11 Bryan Kearney 2014-04-24 13:09:53 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 12 Bryan Kearney 2014-04-24 13:11:16 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.